<template>
    <div>
        <label for="name">Nombre Entidad</label>
        <select 
            :value="value" 
            class="form-control form-control-md" 
            required
            @change="onChange"
        >
            <option 
                selected="true" 
                disabled="disabled"
                :value="0"
            >
                Selecciona Entidad
            </option>
            <option 
                v-for="(entidad, index) in entidades"
                :key="index"
                :value="entidad.id_entidad"
            >
                {{ entidad.nombre_entidad}}
            </option>
        </select>
        <div style="font-size: 12; color: tomato;">{{ error }}</div>
    </div>
</template>

<script>

export default {

    props: {
        value: {
            type: Number,
            default: 0
        },
        entidades: {
            type: Array,
            default: []
        },
        error: {
            type: String,
            default: ""
        }
    },

    data: () => {
        return {
            
        }
    },

    methods: {
        onChange(event) {

            this.$emit('input', parseInt(event.target.value));
            this.$emit('change');
        }
    }
}
</script>